Bug 29397 - bad X setup on Toshiba T8000 (NeoMagic)
Summary: bad X setup on Toshiba T8000 (NeoMagic)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-25 16:30 UTC by whampton
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 19:54:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description whampton 2001-02-25 16:30:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0 i686)


Anaconda setup X so it would only do 800x600 

Reproducible: Didn't try
Steps to Reproduce:
1. Setup fisher on Toshiba T8000 laptop
2. Select laptop install
3. Let the software detect Neomagic chipset and display
4. select default X as 1024x768	
	

Actual Results:  startx started X at 800x600, always

Expected Results:  X at 1024x768

I had to manually run Xconfigurator, let it select the neomagic chipset,
then
tell it custom display, display that would do 1024x768 at 60 Hz.  This
setting 
allows me to run X at 1024x768 on the built-in LCD.

Comment 1 Mike A. Harris 2001-03-01 20:29:19 UTC
There have been some neomagic fixes that happened recently. Don't know if
they have anything to do with this at all, but I thought I'd mention it.
Probably a different issue though.

Comment 2 Glen Foster 2001-03-02 18:05:18 UTC
Our installer team-lead thinks we should really fix this before next release.

Comment 3 Preston Brown 2001-03-05 05:43:03 UTC
Does using Xconfigurator work?  After trying, in any case, can you please
cut-and-paste /var/log/XFree86.9.log here for me to examine?

Comment 4 whampton 2001-03-05 13:33:40 UTC
On this laptop, I am loading Wolverine in the next few days.  It is a test disk
so I'll do a fresh install. 
Right now, the disk has Windows 98 on it.  Once reloaded, I plan on retesting. 
I'll forward the 
config file following initial setup and following use of XConfigurator.  BTW,
why don't you folks 
ship the graphical XF86Setup program?

Comment 5 Preston Brown 2001-03-05 15:05:55 UTC
Please, *please* test the latest X locate at:

ftp://people.redhat.com/mharris/xfree86

Comment 6 Preston Brown 2001-03-08 19:17:15 UTC
we have switched to the 4.0.x drivers for NeoMagic in 4.9.18 and later, tested
to be working.

Comment 7 whampton 2001-03-12 13:12:10 UTC
Tested with Wolverine -- still broken, will test with referenced package in a
few days.


Note You need to log in before you can comment on or make changes to this bug.